Page MenuHomePhabricator

[PowerPC] Prevent the use of MMA with P9 and earlier
ClosedPublic

Authored by bsaleil on Nov 10 2020, 12:12 PM.

Details

Summary

We want to allow using MMA on P10 CPU only. This patch prevents the use of MMA with the -mmma option on P9 CPUs and earlier.

Diff Detail

Event Timeline

bsaleil created this revision.Nov 10 2020, 12:12 PM
bsaleil requested review of this revision.Nov 10 2020, 12:12 PM
bsaleil updated this revision to Diff 304662.Nov 11 2020, 2:46 PM

clang-format

amyk accepted this revision as: amyk.Nov 12 2020, 7:05 AM

Overall LGTM.

This revision is now accepted and ready to land.Nov 12 2020, 7:05 AM
This revision was landed with ongoing or failed builds.Nov 12 2020, 8:37 AM
This revision was automatically updated to reflect the committed changes.